/*
** Creation commands are put here.
**
*/
#include <tcl.h>
#include <tk.h>
#include <bindata.h>

static int myXErrorHandler _ANSI_ARGS_((Display *, XErrorEvent *));
static int (*oldXErrorHandler)(Display *, XErrorEvent *);
extern Tk_ItemType tkDatasetType;
extern Tk_ItemType tkGraphType;
extern Tk_ItemType tkPGraphType;
extern Tk_ItemType tkPDatasetType;
extern Tk_ItemType tkCircleType;
extern Tk_ItemType tkTkgRectangleType;
extern Tk_ItemType tkTkgOvalType;
int Tkgraph_TickroundCmd(ClientData, Tcl_Interp *, int, char **);
int Tkgraph_LlimitCmd(ClientData, Tcl_Interp *, int, char **);

int Tkgraph_Init(Tcl_Interp *interp)
{
    Tk_CreateItemType(&tkDatasetType);
    Tk_CreateItemType(&tkPDatasetType);
    Tk_CreateItemType(&tkGraphType);
    Tk_CreateItemType(&tkPGraphType);
    Tk_CreateItemType(&tkCircleType);
    Tk_CreateItemType(&tkTkgRectangleType);
    Tk_CreateItemType(&tkTkgOvalType);
    Tcl_CreateCommand(interp, "llimit", Tkgraph_LlimitCmd,
	    (ClientData)NULL, NULL);
    Tcl_CreateCommand(interp, "tickround", Tkgraph_TickroundCmd,
	    (ClientData)NULL, NULL);
    Tcl_PkgProvide(interp, "Tkgraph", "1.0");

    if (Bin_Init(interp) == TCL_ERROR) {
	return TCL_ERROR;
    }

    if (Varname_Init(interp) == TCL_ERROR) {
	return TCL_ERROR;
    }

    if (Tksticker_Init(interp) == TCL_ERROR) {
	return TCL_ERROR;
    }

    return TCL_OK;
}
